mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.SHA1 System.Runtime.InteropServices.ComVisible(true)

The hash size for the class is 160 bits.

Computes the hash value for the input data using the implementation provided by the cryptographic service provider (CSP). This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is called by the public Dispose() method and the Finalize method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. Finalize invokes Dispose with the parameter set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is not called by application code.

  Routes data written to the object into the hash algorithm for computing the hash value.

  The input data. The offset into the byte array from which to begin using data. The number of bytes in the array to use as data.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added

  Returns the computed hash value after all data has been written to the object.

  The computed hash value.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added

  Initializes an instance of .